Error:java: 无效的源发行版: 9 解决方案论述

偶然有一天打开启动 idea 打开项目运行单元测试,抛出异常如下图所示:
在这里插入图片描述
原因是:开发依赖的是 1.8 ,而 language level 设置为的为 9 ,两者不匹配,修改方法如下:
第一步 :
在这里插入图片描述
第二步

在这里插入图片描述
然后再次运行,异常解决。
在这里插入图片描述

早起的年轻人 CSDN认证博客专家 移动开发 项目管理 Java
只要用心去做,每一件事情还是有可能成功的,当然成功是没有界限的,只不过是达到自己心里的那个目标,公众号:我的大前端生涯,一个爱喝茶的程序员,通常会搞搞SpringBoot 、Herbinate、Mybatiys、Android、iOS、Flutter、Vue、小程序等.
©️2020 CSDN 皮肤主题: 撸撸猫 设计师:设计师小姐姐 返回首页